import React from 'react';

export const Checkbox = ({ checked, onChange, id}) => {
    const handleChange = (e) => {
    console.log('Checkbox clicked, checked:', e.target.checked);
    if (onChange) {
      onChange(e);
    }
  };
  return (
    <input
    type="checkbox"
    id={`checkbox-${id}`}
    checked={checked}
    onChange={handleChange}
    className="custom-checkbox"
    />
  );
};