import axios from "axios";

const URL = 'http://192.168.1.64:3000/todos';

export const getTodo = () => axios.get(URL);

export const addTodo = (todo) => axios.post(URL, { task: todo, completed: false });

export const delTodo = (id) => axios.delete(`${URL}/${id}`);


export const uptTodo = (id, updateTodo) => axios.put(`${URL}/${id}`, { task: updateTodo });
